<template>
  <div class="f aic px1 bg-gray-6 footer">
    <div class="container">
      <div class="f fw jcb grid grid--footer">
        <div class="f fdc grid__item">
          <nuxt-link to="/" class="footer__logo">
            <IconLogo/>
          </nuxt-link>
          <p class="mt2 p4 black-1">Lorem Ipsum has been the industry's standard dummy text ever since the 1500s</p>
          <p class="f aic mt1 p4 blue-3">
            Tìm hiểu thêm <IconArrowLeft class="ml05 rotate-180"/>
          </p>
          <div class="f mt15">
            <p v-for="(item, index) in socialItems" :key="index">
              <img :src="item.icon" alt="icon" class="mr05">
            </p>
          </div>
        </div>
        <div class="grid__item">
          <h3 class="heading-medium">Company</h3>
          <div class="f fdc mt15">
            <div v-for="(item, index) in companyItems" :key="index" class="f aic mb05">
              <nuxt-link :to="item.link" class="p4 gray-1">
                {{ item.name }}
              </nuxt-link>
            </div>
          </div>
        </div>
        <div class="grid__item">
          <h3 class="heading-medium">Support</h3>
          <div class="f fdc mt15">
            <div v-for="(item, index) in supportItems" :key="index" class="f aic mb05 p4 gray-1">
              <nuxt-link :to="item.link" class="p4 gray-1">
                {{ item.name }}
              </nuxt-link>
            </div>
          </div>
        </div>
        <div class="grid__item">
          <h3 class="heading-medium">Get in touch</h3>
          <div class="f fdc mt15">
            <div v-for="(item, index) in infoItems" :key="index" class="f aic mb05">
              <a v-if="item.link" :href="item.link" class="f aic p4 gray-1">
                <img :src="item.icon" alt="icon" class="mr05"> {{ item.text }}
              </a>
              <div v-else class="p4 gray-1">
                <img :src="item.icon" alt="icon" class="mr05"> {{ item.text }}
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import facebook from "@/assets/icon-app/facebook.svg"
import twitter from "@/assets/icon-app/twitter.svg"
import pinterest from "@/assets/icon-app/pinterest.svg"
import instagram from "@/assets/icon-app/instagram.svg"
import circlePhone from "@/assets/icon-app/circlePhone.svg"
import envelope from "@/assets/icon-app/envelope.svg"
import earth from "@/assets/icon-app/earth.svg"
import location from "@/assets/icon-app/location.svg"

export default {
  name: 'Footer',
  data() {
    return {
      socialItems: [
        {
          icon: facebook
        },
        {
          icon: twitter
        },
        {
          icon: pinterest
        },
        {
          icon: instagram
        }
      ],
      companyItems: [
        {
          name: 'About Us',
          link: '/'
        },
        {
          name: 'Service',
          link: '/'
        },
        {
          name: 'Case Studies',
          link: '/'
        },
        {
          name: 'Blog',
          link: '/'
        },
        {
          name: 'Contact',
          link: '/'
        },
      ],
      supportItems: [
        {
          name: 'Community',
          link: '/'
        },
        {
          name: 'Resources',
          link: '/'
        },
        {
          name: 'Faqs',
          link: '/'
        },
        {
          name: 'Privacy Policy',
          link: '/'
        },
        {
          name: 'Careers',
          link: '/'
        },
      ],
      infoItems: [
        {
          icon: circlePhone,
          text: '024 88888660',
          link: 'tel:02488888660'
        },
        {
          icon: envelope,
          text: 'hotro@idtinc.co',
          link: 'mailto:hotro@idtinc.co'
        },
        {
          icon: earth,
          text: 'https://idtinc.co/',
          link: 'https://idtinc.co/'
        },
        {
          icon: location,
          text: '48 Tố Hữu, Trung Văn, Nam Từ Liêm, Hà Nội',
          link: ''
        }
      ],
    }
  },

  computed: {
    headerTitle () {
      return this.$store.state.headerTitle
    },

    dataStorage () {
      return this.$store.state.dataStorage
    }
  },

  methods: {
    handleBack () {
      if(this.dataStorage) {
        this.isShowDialog = true
      } else {
        this.$router.go(-1)
      }
    },

    confirm () {
      this.isShowDialog = false
      this.$router.go(-1)
      this.$store.dispatch('setDataStorage', null)
    },

    abort () {
      this.closeDialog()
    },

    closeDialog () {
      this.isShowDialog = false
    }
  }
}
</script>

<style lang="scss" scoped>
@import "@/assets/base/variables";

.footer {
  padding: 80px 0 24px;
}

.footer__logo svg {
  width: 80px;
  height: 80px;
}

.grid--footer {
  @media (max-width: 1439px) {
    .grid__item {
      &:not(:first-child) {
        width: 50%;
        margin-top: 24px;
      }

      &:first-child {
        max-width: 320px;
      }
    }
  }
  @media (min-width: 1440px) {
    .grid__item {
      &:first-child {
        max-width: 320px;
      }

      &:not(:first-child) {
        margin-left: 100px;
        max-width: 220px;
      }
    }
  }
}
</style>
